Skip to main content
`Ctrl`+`K`

# DMPlexMetricCreateIsotropic

Construct an isotropic metric from an error indicator

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricCreateIsotropic(DM dm, PetscInt f, Vec indicator, Vec *metric)

## Input Parameters

- dm - The `DM`

- f - The field number to use

- indicator - The error indicator

## Output Parameter

- metric - The isotropic metric

## Notes

It is assumed that the `DM` is comprised of simplices.

The indicator needs to be a scalar field. If it is not defined vertex-wise, then it is projected appropriately.

## See Also

`DMPLEX`, `DMPlexMetricCreate()`, `DMPlexMetricCreateUniform()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

## Examples

src/ts/tutorials/ex45.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages